Qyra
ReferenceUntagged

POST/api/v1/projects/{projectUuid}/aiAgents/{agentUuid}/threads

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
agentUuidstringYes

Request body

{
  "originatingInstallationUuid": "string",
  "modelConfig": {
    "reasoning": true,
    "modelProvider": "string",
    "modelName": "string"
  },
  "context": [
    {
      "runtimeOverrides": {
        "dateZoom": {
          "xAxisFieldId": "string",
          "granularity": "Second"
        },
        "dashboardParameters": {
          "property": "string"
        },
        "dashboardFilters": {
          "tableCalculations": [
            {
              "includeNull": true,
              "values": [
                "string"
              ],
              "operator": "isNull",
              "id": "string",
              "target": {
                "fallbackType": "string",
                "isSqlColumn": true,
                "tableName": "string",
                "fieldId": "string"
              },
              "settings": "string",
              "disabled": true,
              "required": true,
              "caseSensitive": true,
              "lockedTabUuids": [
                "string"
              ],
              "requiredGroupId": "string",
              "singleValue": true,
              "label": "string",
              "tileTargets": {
                "property": {
                  "fallbackType": "string",
                  "isSqlColumn": true,
                  "tableName": "string",
                  "fieldId": "string"
                }
              }
            }
          ],
          "metrics": [
            {
              "includeNull": true,
              "values": [
                "string"
              ],
              "operator": "isNull",
              "id": "string",
              "target": {
                "fallbackType": "string",
                "isSqlColumn": true,
                "tableName": "string",
                "fieldId": "string"
              },
              "settings": "string",
              "disabled": true,
              "required": true,
              "caseSensitive": true,
              "lockedTabUuids": [
                "string"
              ],
              "requiredGroupId": "string",
              "singleValue": true,
              "label": "string",
              "tileTargets": {
                "property": {
                  "fallbackType": "string",
                  "isSqlColumn": true,
                  "tableName": "string",
                  "fieldId": "string"
                }
              }
            }
          ],
          "dimensions": [
            {
              "includeNull": true,
              "values": [
                "string"
              ],
              "operator": "isNull",
              "id": "string",
              "target": {
                "fallbackType": "string",
                "isSqlColumn": true,
                "tableName": "string",
                "fieldId": "string"
              },
              "settings": "string",
              "disabled": true,
              "required": true,
              "caseSensitive": true,
              "lockedTabUuids": [
                "string"
              ],
              "requiredGroupId": "string",
              "singleValue": true,
              "label": "string",
              "tileTargets": {
                "property": {
                  "fallbackType": "string",
                  "isSqlColumn": true,
                  "tableName": "string",
                  "fieldId": "string"
                }
              }
            }
          ]
        }
      },
      "chartSlug": "string",
      "chartUuid": "string",
      "type": "chart"
    }
  ],
  "prompt": "string"
}

Responses

200 — Success

{
  "results": {
    "liveStatus": {
      "source": "deterministic",
      "stateChangedAt": "string",
      "state": "working",
      "threadUuid": "string"
    },
    "user": {
      "name": "string",
      "uuid": "string"
    },
    "firstMessage": {
      "message": "string",
      "uuid": "string"
    },
    "pinnedAt": "string",
    "titleGeneratedAt": "string",
    "title": "string",
    "createdFrom": "slack",
    "createdAt": "string",
    "agentUuid": "string",
    "uuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}